List released phone numbers. Released numbers may be purchased again with 2 weeks of being released. Released numbers may be removed from released list after 2 weeks.
const url = 'https://api.pingram.io/numbers/released';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.pingram.io/numbers/released \ --header 'Authorization: Bearer <token>'Authorizations
Responses
200
Successful response
object
Represents a phone number in the account
object
E.164
ISO timestamp when the number was registered
ISO 3166-1 alpha-2 country code
E.g. local, toll_free
Active or released
YYYY-MM-DD next monthly rent charge
Monthly cost in USD
US 10DLC readiness derived from stored campaign assignment
ISO timestamp when the number was released (released numbers only)
Voice agent id bound for inbound AI voice, if any
Example
{ "numbers": [ { "billingStatus": "active", "a2pStatus": "pending" } ]}400
Bad Request - validation errors, invalid input
Standard error response for API errors.
object
Unique tracking ID for the request.
Structured error details for API error responses.
object
Machine-readable error code.
Human-readable error message.
Actionable hint for fixing the error.
Examplegenerated
{ "trackingId": "example", "error": { "code": "example", "message": "example", "fix": "example" }}401
Unauthorized
402
Payment Required - usage limits exceeded
Standard error response for API errors.
object
Unique tracking ID for the request.
Structured error details for API error responses.
object
Machine-readable error code.
Human-readable error message.
Actionable hint for fixing the error.
Examplegenerated
{ "trackingId": "example", "error": { "code": "example", "message": "example", "fix": "example" }}500
Internal Server Error
502
Bad Gateway - provider error
Standard error response for API errors.
object
Unique tracking ID for the request.
Structured error details for API error responses.
object
Machine-readable error code.
Human-readable error message.
Actionable hint for fixing the error.
Examplegenerated
{ "trackingId": "example", "error": { "code": "example", "message": "example", "fix": "example" }}